# Poco::Net

# class HTTPHeaderStreamBuf

Library: Net
Package: HTTP
Header: Poco/Net/HTTPHeaderStream.h

## Description

This is the streambuf class used for reading from a HTTP header in a HTTPSession.

## Inheritance

Direct Base Classes: HTTPBasicStreamBuf

All Base Classes: HTTPBasicStreamBuf

## Member Summary

Member Functions: readFromDevice, writeToDevice

## Types Aliases

### openmode

using openmode = HTTPBasicStreamBuf::openmode;

## Constructors

### HTTPHeaderStreamBuf

HTTPHeaderStreamBuf(
HTTPSession & session,
openmode mode
);

## Destructor

### ~HTTPHeaderStreamBuf

~HTTPHeaderStreamBuf();

## Member Functions

### readFromDevice

int readFromDevice(
char * buffer,
std::streamsize length
);

### writeToDevice

int writeToDevice(
const char * buffer,
std::streamsize length
);